### Method

# CM Client set_homeserver

#### Declaration [src]

    gboolean
    cm_client_set_homeserver (
      CmClient* self,
      const char* homeserver
    )

#### Description [src]

Set the matrix Home server URL for the client. Must be set, before we can start syncing.

#### Parameters

`homeserver`

  Type: `const char*`

  The homeserver URL.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if `homeserver` is valid, `FALSE` otherwise.